Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Public Enum eORIStornoDeliveryNoteOutType
    eStornoDeliveryNoteOut = 0
    eStornoDeliveryNoteOutStorageOut = 1
End Enum

<DefaultClassOptions()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
<NonPersistent()> _
Public Class ORI_Storno_DeliveryNoteOut_PopUp
    Inherits BaseObject

    Private _ORIStornoDeliveryNoteOutType As eORIStornoDeliveryNoteOutType

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property ORIStornoDeliveryNoteOutType As eORIStornoDeliveryNoteOutType
        Get
            Return _ORIStornoDeliveryNoteOutType
        End Get
        Set(value As eORIStornoDeliveryNoteOutType)
            SetPropertyValue("ORIStornoDeliveryNoteOutType", _ORIStornoDeliveryNoteOutType, value)
        End Set
    End Property
End Class
